be.ehealth.business.intrahubcommons.security

## Class HubDecryptionHandler

- java.lang.Object
- - be.ehealth.business.intrahubcommons.security.HubDecryptionHandler

- All Implemented Interfaces:
    Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

      public class HubDecryptionHandler
      extends Object
      implements SOAPHandler<SOAPMessageContext>

  Handler that encrypt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HubDecryptionHandler(Crypto crypto2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(MessageContext context)` Close.
    `Set<QName>` | `getHeaders()` Gets the headers.
    `boolean` | `handleFault(SOAPMessageContext context)` Handle fault.
    `boolean` | `handleMessage(SOAPMessageContext cxt)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HubDecryptionHandler

          public HubDecryptionHandler(Crypto crypto2)

      Parameters:
        `crypto2` -

  - ### Method Detail

    - #### handleMessage

          public boolean handleMessage(SOAPMessageContext cxt)

      Specified by:
        `handleMessage` in interface `Handler<SOAPMessageContext>`

    - #### handleFault

          public boolean handleFault(SOAPMessageContext context)

      Handle fault.
      Specified by:
        `handleFault` in interface `Handler<SOAPMessageContext>`
      Parameters:
        `context` - The SOAPMessageContext
      Returns:
        true, if successful

    - #### close

          public void close(MessageContext context)

      Close.
      Specified by:
        `close` in interface `Handler<SOAPMessageContext>`
      Parameters:
        `context` - The SOAPMessageContext

    - #### getHeaders

          public Set<QName> getHeaders()

      Gets the headers.
      Specified by:
        `getHeaders` in interface `SOAPHandler<SOAPMessageContext>`
      Returns:
        a `Set` containing all the headers

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.